dbhtml-include_href
Prev | Part 1. HTML Processing Instruction Reference | Next

## dbhtml-include_href

dbhtml-include_href — Copies an external well-formed HTML/XML file into current doc

## Synopsis

    <?dbhtml-include href="URI"?>

## Description

Use the `<?dbhtml-include href?>` PI anywhere in a document to cause the contents of the file referenced by the `href` pseudo-attribute to be copied/inserted “as is” into your HTML output at the point in document order where the PI occurs in the source.

### Note

The referenced file may contain plain text (as long as it is “wrapped” in an `html` element — see the note below) or markup in any arbitrary vocabulary, including HTML — but it must conform to XML well-formedness constraints (because the feature in XSLT 1.0 for opening external files, the `document()` function, can only handle files that meet XML well-formedness constraints).

Among other things, XML well-formedness constraints require a document to have a single root element. So if the content you want to include is plain text or is markup that does not have a single root element, wrap the content in an `html` element. The stylesheets will strip out that surrounding `html` “wrapper” when they find it, leaving just the content you want to insert.

## Parameters

href="`URI`"

  Specifies the URI for the file to include; the URI can be, for example, a remote `http:` URI, or a local filesystem `file:` URI

## Related Global Parameters

`textinsert.extension`

## Related Information in DocBook XSL: The Complete Guide

Inserting external HTML code, External code files

Prev | Up | Next
dbfunclist | Home | dbhh